Jump to content
Sign in to follow this  
bmustang

TUTO de migration Quel galère

Recommended Posts

Migration de PS 1.1.0.5 vers 1.2.5.0:
J’ai quelques soucis à faire migrer ma version vers le 1.2.5.0, par exemple, depuis le back office , je vois pas le menu ?
Juste les accès rapide sans intérêt pour ce que j’ai à faire.
Je ne vois pas mes catégories dans le front ?

Je trouve le tuto de migration très léger pour un résultat médiocre. Un bon script serait plus utile pour la migration.

Par contre une copie de la base vers une nouvelle "mig", la copie du dossier zippé /prestashop que je renomme et la modif du fichier /config/settings.inc.php pour la base "mig" et la ligne base_uri, CELA FONCTIONNE BEAUCOUP MIEUX

je ne suis pas près de migrer vers les futures versions avec de telle procédure ! Désolé pour ceux qui se donnent tout le mal dans ce projet.

J'OUVRE LE DEBAT POUR OU CONTRE UN SCRIPT DE MIGRATION

Share this post


Link to post
Share on other sites

Je viens de faire une install complète pour être sur de ma conf, l'install se passe bien et le backoffice est complet.
Donc, le probleme de ne pas voir les outils dans le backoffice vient de ma base de donnée 1.1.05 qui contient une information sans doute erronée ? Je cherche...
Il est souvent constaté et décrié les difficultés de migration d'une version vers l'autre, manque d'outils, de conseil... Une fois la base utilisateurs bien pleine 200.000 pour PS, je suis curieux de savoir combien on bien galéré et combien on renoncés? Le TUTO n'apporte pas toutes les solutions aux galères de la migration !

Je persiste à dire qu'un script est nécessaire pour une migration, on ne change pas de version notepad là

Share this post


Link to post
Share on other sites

tu trouves le tuto sur la page de téléchargement, merci de me dire ce que tu en penses ?
Question: tu migres à partir de quelle version ?
bonne chance

Share this post


Link to post
Share on other sites

j'ai la version 1.1 mais comme mon site marche plutôt bien, il faut que je sois sûr de mon coup. J'aime bien la fonction annuler dans la 1.2.5 qui supprime aussi le montant du panier dans le C total.

Share this post


Link to post
Share on other sites

J'ai voulu faire une migration, mais en réinstallant la nouvelle version intégralement, (jusque là ça va), j'ai rapatrié les dossiers img et mon theme (ça va encore), mais quand j'importe ma base : requete sql invalide (dans certaines parties du backoffice), il y a donc une incompatibilité entre les deux versions.
Je galère vraiment mais n'ai toujours pas trouvé la solution (il faut dire que mes connaissances sont très limitées), il se peut que mon problême soit identique au tiens, si c'est le cas, et encore mieux, si quelqu'un trouve la solution :
http://www.prestashop.com/forums/viewthread/32066/installation_configuration_et_mise_a_jour/onglet_clients__requete_sql_invalide

Merci d'avance pour votre aide, car l'import de la bdd n'est nullement traitée dans la MAJ de presta, c'est pourtant je pense la partie la plus importante pour une boutique, non?

merci d'avance de considérer un peu nos problèmes de n..bs.

Share this post


Link to post
Share on other sites

essaye lors de l'upload de mettre ftp en auto.
Je n'ai as eu le temps de faire l'upgrade en dev (surtout pas toucher à la production).
Je ne pense pas qu'il y ait un bug sur le logiciel, beaucou de personne l'ont installé sans problème.

La principale raison pour que certaines personnes n'y arrivent pas vient soit du respect de la procédure soit de la configuration serveur.

Share this post


Link to post
Share on other sites

Êtes vous sûr de ne pas avoir écrasé complètement le dossier /config/ et de n'avoir pris que le fichier "settings.inc.php" de votre ancienne install ? J'avais plus ou moins les mêmes problèmes car j'avais rapatrié mon ancien dossier /config/ complet au lieu de me contenter de "settings.inc.php". Maintenant ça fonctionne. Cette version est plus rapide au chargement je trouve.

Bon courage à l'équipe pour la mise en place d'un système pour user-friendly pour l'update dans les versions à venir.

Share this post


Link to post
Share on other sites

En fait il s'agissait bien d'un problême de compatibilité de Bdd, les deux (V1.1 et V 1.2.5) ne sont pas interchangeables, il faut impérativement passer par une MAJ tel que décrit ici :
http://www.prestashop.com/wiki/Guide_de_démarrage/#Mettre_.C3_jour_PrestaShop

Par conséquent j'ai dû réinstaller l'ancienne, puis lui appliquer la mise à jours, alors qu'avant j'installais la nouvelle, puis rapatriait mes fichiers modifiés (theme...) puis importais la bdd : erreur.

En faisant la maj, celle-ci se charge de modifier la bdd afin de la rendre compatible avec la nouvelle version, maintenant tout marche parfaitement, merci à tous ;-)

Share this post


Link to post
Share on other sites

Bonjour,

Ton expérience m'intéresse car je souhaite effectuer la même opération sur ma boutique. Pourrais tu faire un petit comparatif des avantages que tu trouves à la nouvelle version par rapport à la V1.1 ?
D'avance, merci

Ann

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More